Schema "fpml-ird-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 10157 $

Defined Components:

  7 global elements, 73 local elements, 28 complexTypes, 3 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-ird-5-5.xsd; see XML source

Includes Schema:

  fpml-asset-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

All Element Summary
additionalPayment (defined in Swap complexType) | Additional payments between the principal parties.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin Swap complexType; see XML source
additionalPayment (in capFloor) | Additional payments between the principal parties.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin CapFloor complexType; see XML source
additionalPayment (in fra) | Additional payments between the principal parties (i.e. the parties referenced as the FRA buyer and seller).
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin Fra complexType; see XML source
adjustedCashSettlementPaymentDate (defined in ExerciseEvent complexType) | The date on which the cash settlement amount is paid.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExerciseEvent complexType; see XML source
adjustedCashSettlementPaymentDate (defined in MandatoryEarlyTerminationAdjustedDates complexType) | The date on which the cash settlement amount is paid.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MandatoryEarlyTerminationAdjustedDates complexType; see XML source
adjustedCashSettlementValuationDate (defined in ExerciseEvent complexType) | The date by which the cash settlement amount must be agreed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExerciseEvent complexType; see XML source
adjustedCashSettlementValuationDate (defined in MandatoryEarlyTerminationAdjustedDates complexType) | The date by which the cash settlement amount must be agreed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MandatoryEarlyTerminationAdjustedDates complexType; see XML source
adjustedEarlyTerminationDate | The early termination date that is applicable if an early termination provision is exercised.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MandatoryEarlyTerminationAdjustedDates complexType; see XML source
adjustedEffectiveDate | The start date of the calculation period.
Type: | RequiredIdentifierDate
Content: | simple, 1 attribute
Defined: | locally witnin Fra complexType; see XML source
adjustedExerciseDate (defined in ExerciseEvent complexType) | The date on which option exercise takes place.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExerciseEvent complexType; see XML source
adjustedExerciseDate (in extensionEvent) | The date on which option exercise takes place.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExtensionEvent complexType; see XML source
adjustedExerciseFeePaymentDate | The date on which the exercise fee amount is paid.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExerciseEvent complexType; see XML source
adjustedExtendedTerminationDate | The termination date if an extendible provision is exercised.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExtensionEvent complexType; see XML source
adjustedFxSpotFixingDate | The date on which the fx spot rate is observed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxLinkedNotionalAmount complexType; see XML source
adjustedPrincipalExchangeDate | The principal exchange date.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PrincipalExchange complexType; see XML source
adjustedRelevantSwapEffectiveDate | The effective date of the underlying swap associated with a given exercise date.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExerciseEvent complexType; see XML source
adjustedTerminationDate | The end date of the calculation period.
Type: | xsd:date
Content: | simple
Defined: | locally witnin Fra complexType; see XML source
calculation (in calculationPeriodAmount) | The parameters used in the calculation of fixed or floaring rate calculation period amounts.
Type: | Calculation
Content: | complex, 5 elements
Defined: | locally witnin CalculationPeriodAmount complexType; see XML source
calculationPeriodAmount | The calculation period amount parameters.
Type: | CalculationPeriodAmount
Content: | complex, 2 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
calculationPeriodDates | The calculation periods dates schedule.
Type: | CalculationPeriodDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
cancelableProvision | A provision that allows the specification of an embedded option within a swap giving the buyer of the option the right to terminate the swap, in whole or in part, on the early termination date.
Type: | CancelableProvision
Content: | complex, 2 elements
Defined: | locally witnin Swap complexType; see XML source
capFloor | A cap, floor or cap floor structures product definition.
Type: | CapFloor
Content: | complex, 1 attribute, 9 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
capFloorStream |
Type: | InterestRateStream
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin CapFloor complexType; see XML source
dayCountFraction (in calculation in calculationPeriodAmount) | The day count fraction.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin Calculation complexType; see XML source
dayCountFraction (in fra) | The day count fraction.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin Fra complexType; see XML source
discountRate | A discount rate, expressed as a decimal, to be used in the calculation of a discounted amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin DiscountRate.model group; see XML source
discountRateDayCountFraction | A discount day count fraction to be used in the calculation of a discounted amount.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin DiscountRate.model group; see XML source
earliestExerciseDateTenor | The time interval to the first (and possibly only) exercise date in the exercise period.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ExercisePeriod complexType; see XML source
earlyTerminationProvision (defined in Swap complexType) | Parameters specifying provisions relating to the optional and mandatory early terminarion of a swap transaction.
Type: | EarlyTerminationProvision
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin Swap complexType; see XML source
earlyTerminationProvision (in capFloor) | Parameters specifying provisions relating to the optional and mandatory early terminarion of a CapFloor transaction.
Type: | EarlyTerminationProvision
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CapFloor complexType; see XML source
effectiveDate (in calculationPeriodDates) | The first day of the term of the trade.
Type: | AdjustableDate
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
exerciseFrequency (defined in ExercisePeriod complexType) | The frequency of subsequent exercise dates in the exercise period following the earliest exercise date.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ExercisePeriod complexType; see XML source
exerciseNotice (in extendibleProvision) | Definition of the party to whom notice of exercise should be given.
Type: | ExerciseNotice
Content: | complex, 3 elements
Defined: | locally witnin ExtendibleProvision complexType; see XML source
extendibleProvision | A provision that allows the specification of an embedded option with a swap giving the buyer of the option the right to extend the swap, in whole or in part, to the extended termination date.
Type: | ExtendibleProvision
Content: | complex, 4 elements
Defined: | locally witnin Swap complexType; see XML source
extendibleProvisionAdjustedDates | The adjusted dates associated with an extendible provision.
Type: | ExtendibleProvisionAdjustedDates
Content: | complex, 1 element
Defined: | locally witnin ExtendibleProvision complexType; see XML source
extensionEvent | The adjusted dates associated with a single extendible exercise date.
Type: | ExtensionEvent
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ExtendibleProvisionAdjustedDates complexType; see XML source
fixedRate (in fra) | The calculation period fixed rate.
Type: | IdentifiedRate
Content: | simple, 1 attribute
Defined: | locally witnin Fra complexType; see XML source
fixedRateSchedule | The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates.
Type: | Schedule
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin Calculation complexType; see XML source
floatingRateCalculation | A floating rate calculation definition.
Type: | FloatingRateCalculation
Content: | complex, 1 attribute, 6 elements
Subst.Gr: | may substitute for element rateCalculation
Defined: | globally; see XML source
Used: | never
floatingRateIndex (in fra) |
Type: | FloatingRateIndex
Content: | simple, 1 attribute
Defined: | locally witnin Fra complexType; see XML source
followUpConfirmation (in extendibleProvision) | A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ExtendibleProvision complexType; see XML source
fra | A forward rate agreement product definition.
Type: | Fra
Content: | complex, 1 attribute, 14 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
fraDiscounting | Specifies whether discounting applies and, if so, what type.
Type: | FraDiscountingEnum
Content: | simple
Defined: | locally witnin Fra complexType; see XML source
fxLinkedNotionalSchedule | A notional amount schedule where each notional that applied to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period.
Type: | FxLinkedNotionalSchedule
Content: | complex, 2 elements
Defined: | locally witnin Calculation complexType; see XML source
indexSource | The reference source such as Reuters or Bloomberg.
Type: | RateSourcePage
Content: | simple, 1 attribute
Defined: | locally witnin InflationRateCalculation complexType; see XML source
indexTenor (in fra) | The ISDA Designated Maturity, i.e. the tenor of the floating rate.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Fra complexType; see XML source
inflationLag | an offsetting period from the payment date which determines the reference period for which the inflation index is onserved.
Type: | Offset
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin InflationRateCalculation complexType; see XML source
inflationRateCalculation | An inflation rate calculation definition.
Type: | InflationRateCalculation
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element rateCalculation
Defined: | globally; see XML source
Used: | never
initialFee | An initial fee for the cancelable option.
Type: | SimplePayment
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CancelableProvision complexType; see XML source
initialValue (in fxLinkedNotionalSchedule) | The initial currency amount for the varying notional.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FxLinkedNotionalSchedule complexType; see XML source
knownAmountSchedule | The known calculation period amount or a known amount schedule expressed as explicit known amounts and dates.
Type: | AmountSchedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalculationPeriodAmount complexType; see XML source
mandatoryEarlyTermination | A mandatory early termination provision to terminate the swap at fair value.
Type: | MandatoryEarlyTermination
Content: | empty, 1 attribute
Defined: | locally witnin MandatoryEarlyTermination.model group; see XML source
mandatoryEarlyTerminationDateTenor | Period after trade date of the mandatory early termination date.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin MandatoryEarlyTermination.model group; see XML source
notional (in fra) | The notional amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Fra complexType; see XML source
notionalAmount (defined in FxLinkedNotionalAmount complexType) | The calculation period notional amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FxLinkedNotionalAmount complexType; see XML source
notionalSchedule | The notional amount or notional amount schedule.
Type: | Notional
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin Calculation complexType; see XML source
notionalStepSchedule | The notional amount or notional amount schedule expressed as explicit outstanding notional amounts and dates.
Type: | NonNegativeAmountSchedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Notional complexType; see XML source
observedFxSpotRate | The actual observed fx spot rate.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FxLinkedNotionalAmount complexType; see XML source
optionalEarlyTermination (defined in OptionalEarlyTermination.model group) | An option for either or both parties to terminate the swap at fair value.
Type: | OptionalEarlyTermination
Content: | empty
Defined: | locally witnin OptionalEarlyTermination.model group; see XML source
optionType (in swaption) | The type of option transaction.
Type: | SwaptionTypeEnum
Content: | simple
Defined: | locally witnin Swaption complexType; see XML source
paymentDates (defined in InterestRateStream complexType) | The payment dates schedule.
Type: | PaymentDates
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin InterestRateStream complexType; see XML source
paymentFrequency (in paymentDates defined in InterestRateStream complexType) | The frequency at which regular payment dates occur.
Type: | Frequency
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDates complexType; see XML source
premium (in capFloor) | The option premium amount payable by buyer to seller on the specified payment date.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin CapFloor complexType; see XML source
premium (in swaption) | The option premium amount payable by buyer to seller on the specified payment date.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin Swaption complexType; see XML source
principalExchangeAmount (defined in PrincipalExchange complexType) | The principal exchange amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PrincipalExchange complexType; see XML source
principalExchanges (defined in InterestRateStream complexType) | The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur.
Type: | PrincipalExchanges
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
rateCalculation | The base element for the floating rate calculation definitions.
Type: | Rate
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 2 elements
Defined: | globally; see XML source
Used: | at 3 locations
resetDate (defined in FxLinkedNotionalAmount complexType) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxLinkedNotionalAmount complexType; see XML source
resetDates | The reset dates schedule.
Type: | ResetDates
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin InterestRateStream complexType; see XML source
resetFrequency (in resetDates) | The frequency at which reset dates occur.
Type: | ResetFrequency
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ResetDates complexType; see XML source
settlementCurrency (in settlementProvision) | The currency that stream settles in (to support swaps that settle in a currency different from the notional currency).
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin SettlementProvision complexType; see XML source
settlementProvision | A provision that allows the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade.
Type: | SettlementProvision
Content: | complex, 1 element
Defined: | locally witnin InterestRateStream complexType; see XML source
swap | A swap product definition.
Type: | Swap
Content: | complex, 1 attribute, 10 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
swap (in swaption) |
Type: | Swap
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin Swaption complexType; see XML source
swapStream | The swap streams.
Type: | InterestRateStream
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin Swap complexType; see XML source
swaption | A swaption product definition.
Type: | Swaption
Content: | complex, 1 attribute, 10 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
swaptionStraddle | Whether the option is a swaption or a swaption straddle.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Swaption complexType; see XML source
terminationDate (in calculationPeriodDates) | The last day of the term of the trade.
Type: | AdjustableDate
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
unadjustedPrincipalExchangeDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin PrincipalExchange complexType; see XML source
varyingNotionalCurrency | The currency of the varying notional amount, i.e. the notional amount being determined periodically based on observation of a spot currency exchange rate.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin FxLinkedNotionalSchedule complexType; see XML source

Complex Type Summary
Calculation | A type definining the parameters used in the calculation of fixed or floating calculation period amounts.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
CalculationPeriodAmount | A type defining the parameters used in the calculation of fixed or floating rate calculation period amounts or for specifying a known calculation period amount or known amount schedule.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CalculationPeriodDates | A type defining the parameters used to generate the calculation period dates schedule, including the specification of any initial or final stub calculation periods.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
CancelableProvision | A type defining the right of a party to cancel a swap transaction on the specified exercise dates.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CapFloor | A type defining an interest rate cap, floor, or cap/floor strategy (e.g. collar) product.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
EarlyTerminationProvision | A type defining an early termination provision for a swap.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
ExerciseEvent | A type defining the adjusted dates associated with a particular exercise event.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | never
ExercisePeriod | This defines the time interval to the start of the exercise period, i.e. the earliest exercise date, and the frequency of subsequent exercise dates (if any).
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | never
ExtendibleProvision | A type defining an option to extend an existing swap transaction on the specified exercise dates for a term ending on the specified new termination date.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ExtendibleProvisionAdjustedDates | A type defining the adjusted dates associated with a provision to extend a swap.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ExtensionEvent | A type to define the adjusted dates associated with an individual extension event.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
Fra | A type defining a Forward Rate Agreement (FRA) product.
Content: | complex, 1 attribute, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location
FxLinkedNotionalAmount | A type to describe the cashflow representation for fx linked notionals.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
FxLinkedNotionalSchedule | A type to describe a notional schedule where each notional that applies to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
InflationRateCalculation | A type defining the components specifiying an Inflation Rate Calculation
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
InterestRateStream | A type defining the components specifiying an interest rate stream, including both a parametric and cashflow representation for the stream of payments.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations
MandatoryEarlyTermination | A type to define an early termination provision for which exercise is mandatory.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MandatoryEarlyTerminationAdjustedDates | A type defining the adjusted dates associated with a mandatory early termination provision.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | never
Notional | An type defining the notional amount or notional amount schedule associated with a swap stream.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
OptionalEarlyTermination | A type defining an early termination provision where either or both parties have the right to exercise.
Content: | empty
Defined: | globally; see XML source
Used: | at 1 location
OptionalEarlyTerminationAdjustedDates | A type defining the adjusted dates associated with an optional early termination provision.
Content: | empty
Defined: | globally; see XML source
Used: | never
PaymentDates | A type defining parameters used to generate the payment dates schedule, including the specification of early or delayed payments.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
PrincipalExchange | A type defining a principal exchange amount and adjusted exchange date.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | never
ResetDates | A type defining the parameters used to generate the reset dates schedule and associated fixing dates.
Content: | complex, 1 attribute, 1 element
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location
ResetDatesReference | Reference to a reset dates component.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | never
SettlementProvision | A type defining the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Swap | A type defining swap streams and additional payments between the principal parties involved in the swap.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
Swaption | A type to define an option on a swap.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Element Group Summary
DiscountRate.model | Model group enforces association of day count fraction with the discount rate.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
MandatoryEarlyTermination.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OptionalEarlyTermination.model |
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 10157 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-asset-5-5.xsd"/> <!--View Generation: SKIPPED BondReference - Documentation--> <!--View Generation: SKIPPED BulletPayment - Unsupported--> <xsd:complexType name="Calculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type definining the parameters used in the calculation of fixed or floating calculation period amounts. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element name="notionalSchedule" type="Notional"> <xsd:annotation> <xsd:documentation xml:lang="en">The notional amount or notional amount schedule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxLinkedNotionalSchedule" type="FxLinkedNotionalSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A notional amount schedule where each notional that applied to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty sequence.--> </xsd:choice> <xsd:choice> <xsd:sequence> <xsd:element name="fixedRateSchedule" type="Schedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED futureValueNotional - NonStandardFeature--> </xsd:sequence> <xsd:element ref="rateCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element is the head of a substitution group. It is substituted by the floatingRateCalculation element for standard Floating Rate legs, or the inflationRateCalculation element for inflation swaps. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count fraction.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED discounting - Documentation--> <!--View Generation: SKIPPED compoundingMethod - TBD--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED CalculationPeriod - Unsupported--> <xsd:complexType name="CalculationPeriodAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters used in the calculation of fixed or floating rate calculation period amounts or for specifying a known calculation period amount or known amount schedule. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="calculation" type="Calculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters used in the calculation of fixed or floaring rate calculation period amounts. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="knownAmountSchedule" type="AmountSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The known calculation period amount or a known amount schedule expressed as explicit known amounts and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="CalculationPeriodDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters used to generate the calculation period dates schedule, including the specification of any initial or final stub calculation periods. A calculation perod schedule consists of an optional initial stub calculation period, one or more regular calculation periods and an optional final stub calculation period. In the absence of any initial or final stub calculation periods, the regular part of the calculation period schedule is assumed to be between the effective date and the termination date. No implicit stubs are allowed, i.e. stubs must be explicitly specified using an appropriate combination of firstPeriodStateDate, firstRegularPeriodStartDate and lastRegularPeriodEndDate. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="effectiveDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:element name="terminationDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED calculationPeriodDatesAdjustments - DateAdjustments--> <!--View Generation: SKIPPED firstPeriodStartDate - NonStandardFeature--> <!--View Generation: SKIPPED firstRegularPeriodStartDate - NonStandardFeature--> <!--View Generation: SKIPPED firstCompoundingPeriodEndDate - NonStandardFeature--> <!--View Generation: SKIPPED lastRegularPeriodEndDate - NonStandardFeature--> <!--View Generation: SKIPPED stubPeriodType - NonStandardFeature--> <!--View Generation: SKIPPED calculationPeriodFrequency - Other=This is not requested by the CFTC, and so compounding swaps are not fully represented--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <!--View Generation: SKIPPED CalculationPeriodDatesReference - Documentation--> <xsd:complexType name="CancelableProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the right of a party to cancel a swap transaction on the specified exercise dates. The provision is for 'walkaway' cancellation (i.e. the fair value of the swap is not paid). A fee payable on exercise can be specified. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" ref="exercise"/> <!--View Generation: SKIPPED exerciseNotice - Documentation--> <!--View Generation: SKIPPED followUpConfirmation - Documentation--> <!--View Generation: SKIPPED cancelableProvisionAdjustedDates - DateAdjustments--> <!--View Generation: SKIPPED finalCalculationPeriodDateAdjustment - DateAdjustments--> <xsd:element minOccurs="0" name="initialFee" type="SimplePayment"> <xsd:annotation> <xsd:documentation xml:lang="en">An initial fee for the cancelable option.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED CancelableProvisionAdjustedDates - DateAdjustments--> <!--View Generation: SKIPPED CancellationEvent - DateAdjustments--> <xsd:complexType name="CapFloor"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining an interest rate cap, floor, or cap/floor strategy (e.g. collar) product. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="capFloorStream" type="InterestRateStream"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> The option premium amount payable by buyer to seller on the specified payment date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional payments between the principal parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="earlyTerminationProvision" type="EarlyTerminationProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> Parameters specifying provisions relating to the optional and mandatory early terminarion of a CapFloor transaction. </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED Cashflows - Unsupported--> <!--View Generation: SKIPPED CashPriceMethod - Documentation--> <!--View Generation: SKIPPED CashSettlement - Unsupported--> <!--View Generation: SKIPPED CashSettlementPaymentDate - Unsupported--> <!--View Generation: SKIPPED CrossCurrencyMethod - Documentation--> <!--View Generation: SKIPPED DateRelativeToCalculationPeriodDates - Documentation--> <!--View Generation: SKIPPED DateRelativeToPaymentDates - Documentation--> <!--View Generation: SKIPPED Discounting - Documentation--> <!--View Generation: SKIPPED EarlyTerminationEvent - DateAdjustments--> <xsd:complexType name="EarlyTerminationProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining an early termination provision for a swap. This early termination is at fair value, i.e. on termination the fair value of the product must be settled between the parties. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:group ref="MandatoryEarlyTermination.model"/> <xsd:group minOccurs="0" ref="OptionalEarlyTermination.model"/> </xsd:sequence> <!--View Generation: SKIPPED - Technical--> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ExerciseEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the adjusted dates associated with a particular exercise event. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which option exercise takes place. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedRelevantSwapEffectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The effective date of the underlying swap associated with a given exercise date. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedCashSettlementValuationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date by which the cash settlement amount must be agreed. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedCashSettlementPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the cash settlement amount is paid. This date should already be adjusted for any applicable business dat convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedExerciseFeePaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the exercise fee amount is paid. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ExercisePeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> This defines the time interval to the start of the exercise period, i.e. the earliest exercise date, and the frequency of subsequent exercise dates (if any). </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="earliestExerciseDateTenor" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time interval to the first (and possibly only) exercise date in the exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency of subsequent exercise dates in the exercise period following the earliest exercise date. An interval of 1 day should be used to indicate an American style exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ExtendibleProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining an option to extend an existing swap transaction on the specified exercise dates for a term ending on the specified new termination date. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition of the party to whom notice of exercise should be given. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="extendibleProvisionAdjustedDates" type="ExtendibleProvisionAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates associated with an extendible provision. These dates have been adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExtendibleProvisionAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the adjusted dates associated with a provision to extend a swap. </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="extensionEvent" type="ExtensionEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates associated with a single extendible exercise date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExtensionEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to define the adjusted dates associated with an individual extension event. </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which option exercise takes place. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedExtendedTerminationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The termination date if an extendible provision is exercised. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!--View Generation: SKIPPED FallbackReferencePrice - Documentation--> <!--View Generation: SKIPPED FinalCalculationPeriodDateAdjustment - DateAdjustments--> <!--View Generation: SKIPPED FloatingRateDefinition - Documentation--> <xsd:complexType name="Fra"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a Forward Rate Agreement (FRA) product. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="adjustedEffectiveDate" type="RequiredIdentifierDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The start date of the calculation period. This date should already be adjusted for any applicable business day convention. This is also the date when the observed rate is applied, the reset date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="adjustedTerminationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The end date of the calculation period. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED paymentDate - Documentation--> <!--View Generation: SKIPPED fixingDateOffset - Documentation--> <xsd:element name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count fraction.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED calculationPeriodNumberOfDays - Documentation--> <xsd:element name="notional" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">The notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fixedRate" type="IdentifiedRate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="floatingRateIndex" type="FloatingRateIndex"/> <xsd:element maxOccurs="unbounded" name="indexTenor" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Designated Maturity, i.e. the tenor of the floating rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fraDiscounting" type="FraDiscountingEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether discounting applies and, if so, what type. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional payments between the principal parties (i.e. the parties referenced as the FRA buyer and seller). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED FxFixingDate - Documentation--> <xsd:complexType name="FxLinkedNotionalAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to describe the cashflow representation for fx linked notionals. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="resetDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedFxSpotFixingDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the fx spot rate is observed. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observedFxSpotRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The actual observed fx spot rate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notionalAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The calculation period notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxLinkedNotionalSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to describe a notional schedule where each notional that applies to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED constantNotionalScheduleReference - Documentation--> <xsd:element minOccurs="0" name="initialValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The initial currency amount for the varying notional. This may be omitted for a forward starting swap if the FX-linked notional value is not known at deal inception. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="varyingNotionalCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency of the varying notional amount, i.e. the notional amount being determined periodically based on observation of a spot currency exchange rate. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED varyingNotionalFixingDates - Dates--> <!--View Generation: SKIPPED fxSpotRateSource - Documentation--> <!--View Generation: SKIPPED varyingNotionalInterimExchangePaymentDates - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="InflationRateCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the components specifiying an Inflation Rate Calculation </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="FloatingRateCalculation"> <xsd:sequence> <xsd:element minOccurs="0" name="inflationLag" type="Offset"> <xsd:annotation> <xsd:documentation xml:lang="en"> an offsetting period from the payment date which determines the reference period for which the inflation index is onserved. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="indexSource" type="RateSourcePage"> <xsd:annotation> <xsd:documentation xml:lang="en"> The reference source such as Reuters or Bloomberg. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED mainPublication - Documentation--> <!--View Generation: SKIPPED interpolationMethod - Documentation--> <!--View Generation: SKIPPED initialIndexLevel - TBD--> <!--View Generation: SKIPPED fallbackBondApplicable - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InterestRateStream"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the components specifiying an interest rate stream, including both a parametric and cashflow representation for the stream of payments. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element name="calculationPeriodDates" type="CalculationPeriodDates"> <xsd:annotation> <xsd:documentation xml:lang="en">The calculation periods dates schedule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="paymentDates" type="PaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en">The payment dates schedule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resetDates" type="ResetDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The reset dates schedule. The reset dates schedule only applies for a floating rate stream. </xsd:documentation> <!--<xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> </xsd:element> <xsd:element name="calculationPeriodAmount" type="CalculationPeriodAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">The calculation period amount parameters.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED stubCalculationPeriodAmount - NonStandardFeature--> <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"> <xsd:annotation> <xsd:documentation xml:lang="en"> The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED cashflows - Unsupported--> <xsd:element minOccurs="0" name="settlementProvision" type="SettlementProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> A provision that allows the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade. </xsd:documentation> <!-- <xsd:appinfo> Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED formula - NonStandardFeature--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED InterestRateStreamReference - Documentation--> <xsd:complexType name="MandatoryEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to define an early termination provision for which exercise is mandatory. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED cashSettlement - Documentation--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="MandatoryEarlyTerminationAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the adjusted dates associated with a mandatory early termination provision. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedEarlyTerminationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The early termination date that is applicable if an early termination provision is exercised. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedCashSettlementValuationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date by which the cash settlement amount must be agreed. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedCashSettlementPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the cash settlement amount is paid. This date should already be adjusted for any applicable business dat convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED NonDeliverableSettlement - NonStandardFeature--> <xsd:complexType name="Notional"> <xsd:annotation> <xsd:documentation xml:lang="en"> An type defining the notional amount or notional amount schedule associated with a swap stream. The notional schedule will be captured explicitly, specifying the dates that the notional changes and the outstanding notional amount that applies from that date. A parametric representation of the rules defining the notional step schedule can optionally be included. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="notionalStepSchedule" type="NonNegativeAmountSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional amount or notional amount schedule expressed as explicit outstanding notional amounts and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED notionalStepParameters - NonStandardFeature--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!--View Generation: SKIPPED NotionalStepRule - NonStandardFeature--> <xsd:complexType name="OptionalEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining an early termination provision where either or both parties have the right to exercise. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED singlePartyOption - Documentation--> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: SKIPPED exerciseNotice - Documentation--> <!--View Generation: SKIPPED followUpConfirmation - Documentation--> <!--View Generation: SKIPPED calculationAgent - Documentation--> <!--View Generation: SKIPPED cashSettlement - Documentation--> <!--View Generation: SKIPPED optionalEarlyTerminationAdjustedDates - Documentation--> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OptionalEarlyTerminationAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the adjusted dates associated with an optional early termination provision. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED earlyTerminationEvent - DateAdjustments--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED PaymentCalculationPeriod - DateAdjustments--> <xsd:complexType name="PaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining parameters used to generate the payment dates schedule, including the specification of early or delayed payments. Payment dates are determined relative to the calculation period dates or the reset dates. </xsd:documentation> </xsd:annotation> <xsd:sequence> <!--View Generation: Skipped an empty choice.--> <xsd:element name="paymentFrequency" type="Frequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which regular payment dates occur. If the payment frequency is equal to the frequency defined in the calculation period dates component then one calculation period contributes to each payment amount. If the payment frequency is less frequent than the frequency defined in the calculation period dates component then more than one calculation period will contribute to the payment amount. A payment frequency more frequent than the calculation period frequency or one that is not a multiple of the calculation period frequency is invalid. If the payment frequency is of value T (term), the period is defined by the swap\swapStream\calculationPerioDates\effectiveDate and the swap\swapStream\calculationPerioDates\terminationDate. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED firstPaymentDate - NonStandardFeature--> <!--View Generation: SKIPPED lastRegularPaymentDate - NonStandardFeature--> <!--View Generation: SKIPPED payRelativeTo - Standardized--> <!--View Generation: SKIPPED paymentDaysOffset - Standardized--> <!--View Generation: SKIPPED paymentDatesAdjustments - DateAdjustments--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!--View Generation: SKIPPED PaymentDatesReference - Documentation--> <!--View Generation: SKIPPED PriceSourceDisruption - Documentation--> <xsd:complexType name="PrincipalExchange"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a principal exchange amount and adjusted exchange date. The type forms part of the cashflow representation of a swap stream. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedPrincipalExchangeDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedPrincipalExchangeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The principal exchange date. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="principalExchangeAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The principal exchange amount. This amount should be positive if the stream payer is paying the exchange amount and signed negative if they are receiving it. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED discountFactor - Unsupported--> <!--View Generation: SKIPPED presentValuePrincipalExchangeAmount - Unsupported--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!--View Generation: SKIPPED RelevantUnderlyingDateReference - DateAdjustments--> <xsd:complexType name="ResetDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters used to generate the reset dates schedule and associated fixing dates. The reset dates are determined relative to the calculation periods schedules dates. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <!--View Generation: SKIPPED calculationPeriodDatesReference - Documentation--> <!--View Generation: SKIPPED resetRelativeTo - Standardized--> <!--View Generation: SKIPPED initialFixingDate - Documentation--> <!--View Generation: SKIPPED fixingDates - Standardized--> <!--View Generation: SKIPPED rateCutOffDaysOffset - Documentation--> <xsd:element name="resetFrequency" type="ResetFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which reset dates occur. In the case of a weekly reset frequency, also specifies the day of the week that the reset occurs. If the reset frequency is greater than the calculation period frequency then this implies that more than one reset date is established for each calculation period and some form of rate averaging is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED resetDatesAdjustments - DateAdjustments--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="ResetDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a reset dates component.</xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="ResetDates" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SettlementProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:element name="settlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency that stream settles in (to support swaps that settle in a currency different from the notional currency). </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED nonDeliverableSettlement - Unsupported--> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED SinglePartyOption - Documentation--> <!--View Generation: SKIPPED StubCalculationPeriodAmount - NonStandardFeature--> <xsd:complexType name="Swap"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining swap streams and additional payments between the principal parties involved in the swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="2" minOccurs="2" name="swapStream" type="InterestRateStream"> <xsd:annotation> <xsd:documentation xml:lang="en">The swap streams.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="earlyTerminationProvision" type="EarlyTerminationProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> Parameters specifying provisions relating to the optional and mandatory early terminarion of a swap transaction. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cancelableProvision" type="CancelableProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> A provision that allows the specification of an embedded option within a swap giving the buyer of the option the right to terminate the swap, in whole or in part, on the early termination date. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="extendibleProvision" type="ExtendibleProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> A provision that allows the specification of an embedded option with a swap giving the buyer of the option the right to extend the swap, in whole or in part, to the extended termination date. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional payments between the principal parties. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED additionalTerms - NonStandardFeature--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED SwapAdditionalTerms - NonStandardFeature--> <xsd:complexType name="Swaption"> <xsd:annotation> <xsd:documentation xml:lang="en">A type to define an option on a swap.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> The option premium amount payable by buyer to seller on the specified payment date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="optionType" type="SwaptionTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of option transaction. From a usage standpoint, put/call is the default option type, while payer/receiver indicator is used for options index credit default swaps, consistently with the industry practice. Straddle is used for the case of straddle strategy, that combine a call and a put with the same strike. This element is needed for transparency reporting because the counterparties are not available, and is made available in other views for convenience; it is not intended to be used for confirmation processing. If the swaption straddle indicator is provided, this must not be in conflict with that indicator. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element ref="exercise"/> <!--View Generation: SKIPPED exerciseProcedure - Documentation--> <!--View Generation: SKIPPED calculationAgent - Documentation--> <!--View Generation: Skipped an empty choice.--> <xsd:element name="swaptionStraddle" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Whether the option is a swaption or a swaption straddle. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED swaptionAdjustedDates - DateAdjustments--> <xsd:element name="swap" type="Swap"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED SwaptionAdjustedDates - DateAdjustments--> <!--View Generation: SKIPPED SwaptionPhysicalSettlement - Documentation--> <!--View Generation: SKIPPED ValuationDatesReference - Documentation--> <!--View Generation: SKIPPED ValuationPostponement - NonStandardFeature--> <!--View Generation: SKIPPED YieldCurveMethod - Documentation--> <!--View Generation: SKIPPED bulletPayment - Unsupported--> <xsd:element name="capFloor" substitutionGroup="product" type="CapFloor"> <xsd:annotation> <xsd:documentation xml:lang="en"> A cap, floor or cap floor structures product definition. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="floatingRateCalculation" substitutionGroup="rateCalculation" type="FloatingRateCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en">A floating rate calculation definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fra" substitutionGroup="product" type="Fra"> <xsd:annotation> <xsd:documentation xml:lang="en">A forward rate agreement product definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="inflationRateCalculation" substitutionGroup="rateCalculation" type="InflationRateCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en">An inflation rate calculation definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element abstract="true" name="rateCalculation" type="Rate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The base element for the floating rate calculation definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="swap" substitutionGroup="product" type="Swap"> <xsd:annotation> <xsd:documentation xml:lang="en">A swap product definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="swaption" substitutionGroup="product" type="Swaption"> <xsd:annotation> <xsd:documentation xml:lang="en">A swaption product definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="DiscountRate.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Model group enforces association of day count fraction with the discount rate. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="discountRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A discount rate, expressed as a decimal, to be used in the calculation of a discounted amount. A discount amount of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="discountRateDayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en"> A discount day count fraction to be used in the calculation of a discounted amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="MandatoryEarlyTermination.model"> <xsd:choice> <!--View Generation: SKIPPED mandatoryEarlyTermination - Technical--> <xsd:sequence> <xsd:element minOccurs="0" name="mandatoryEarlyTerminationDateTenor" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Period after trade date of the mandatory early termination date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="mandatoryEarlyTermination" type="MandatoryEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> A mandatory early termination provision to terminate the swap at fair value. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:group> <xsd:group name="OptionalEarlyTermination.model"> <xsd:choice> <xsd:element name="optionalEarlyTermination" type="OptionalEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> An option for either or both parties to terminate the swap at fair value. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty sequence.--> </xsd:choice> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.